> For the complete documentation index, see [llms.txt](https://docs.sharinpix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sharinpix.com/documentation/features/download-images/multiple-image-download-zip-how-to-add-download-true-to-a-visualforce-page.md).

# Multiple Image download (ZIP) - how to add download:true to a VisualForce page

To enable multiple image download using the zip button, a Visualforce page should be implemented. Using this VF page, one can then modify the abilities accordingly.

After creation of the Visualforce page, the latter can be added on a page layout or on a record page using the Visualforce Lightning Component.

In order to display the zip button, the **download:true** option should be added before the ability list in the Visualforce page as shown in the code snippet below:

```
<apex:page standardController="Opportunity"> 
 <sharinpix:SharinPix height="500px" 
    parameters="{
         'Id': '{!CASESAFEID($CurrentPage.parameters.Id)}', 
         'download': true, 
         'abilities':{'{!CASESAFEID($CurrentPage.parameters.Id)}':
            {'Access': {
                'image_tag:true,
                'paste':true,
                'image_copy':true,
                'image_download':true,
                'image_rotate':true,
                'image_crop':true,
                'image_delete':true,
                'image_upload':true,
                'image_list':true,
                'see':true }
            }
        }
    }" 
    /> 
</apex:page>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sharinpix.com/documentation/features/download-images/multiple-image-download-zip-how-to-add-download-true-to-a-visualforce-page.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
